net.sourceforge.pmd.lang.rule.properties

## Class LongProperty

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.properties.AbstractProperty<T>
  - - net.sourceforge.pmd.lang.rule.properties.AbstractScalarProperty<T>
    - - net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty<Long>
      - - net.sourceforge.pmd.lang.rule.properties.LongProperty

All Implemented Interfaces:
  Comparable<PropertyDescriptor<?>>, NumericPropertyDescriptor<Long>, PropertyDescriptor<Long>

    public class LongProperty
    extends AbstractNumericProperty<Long>

Defines a datatype that supports the single Long property values within an upper and lower boundary.

Author:
  Brian Remedios

### Field Summary

Fields
`static PropertyDescriptorFactory` `FACTORY`

### Fields inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty

`numberFieldTypesByKey`

### Constructor Summary

Constructors
Constructor and Description
`LongProperty(String theName, String theDescription, Long min, Long max, Long theDefault, float theUIOrder)` Constructor for LongProperty.
`LongProperty(String theName, String theDescription, String minStr, String maxStr, String defaultStr, float theUIOrder)` Constructor for LongProperty that limits itself to a single value within the specified limits.

### Method Summary

Methods
`protected Object` `createFrom(String value)`
`static Long` `longFrom(String numberString)`
`Class<Long>` `type()` Denotes the value datatype.

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractNumericProperty

`addAttributesTo, defaultAsString, lowerLimit, rangeString, upperLimit, valueErrorFor`

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractScalarProperty

`arrayFor, valueFrom`

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractProperty

`areEqual, asDelimitedString, asDelimitedString, asString, attributeValuesById, choices, compareTo, defaultHasNullValue, defaultValue, description, equals, errorFor, hashCode, isArray, isMultiValue, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, toString, typeErrorFor, uiOrder, valuesErrorFor`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.PropertyDescriptor

`asDelimitedString, attributeValuesById, choices, defaultValue, description, errorFor, isMultiValue, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, uiOrder, valueFrom`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Field Detail

#### FACTORY

    public static final PropertyDescriptorFactory FACTORY

### Constructor Detail

#### LongProperty

    public LongProperty(String theName,
                String theDescription,
                Long min,
                Long max,
                Long theDefault,
                float theUIOrder)

Constructor for LongProperty.

Parameters:
  `theName` - String
  `theDescription` - String
  `min` - Long
  `max` - Long
  `theDefault` - Long
  `theUIOrder` - float
Throws:
  `IllegalArgumentException`

#### LongProperty

    public LongProperty(String theName,
                String theDescription,
                String minStr,
                String maxStr,
                String defaultStr,
                float theUIOrder)

Constructor for LongProperty that limits itself to a single value within the specified limits. Converts string arguments into the Long values.

Parameters:
  `theName` - String
  `theDescription` - String
  `minStr` - String
  `maxStr` - String
  `defaultStr` - String
  `theUIOrder` - float
Throws:
  `IllegalArgumentException`

### Method Detail

#### longFrom

    public static Long longFrom(String numberString)

Parameters:
  `numberString` - String
Returns:
  Long

#### type

    public Class<Long> type()

Description copied from interface: `PropertyDescriptor`
Denotes the value datatype.

Returns:
  Class
See Also:
  `PropertyDescriptor.type()`

#### createFrom

    protected Object createFrom(String value)

Specified by:
  `createFrom` in class `AbstractScalarProperty<Long>`
Parameters:
  `value` - String
Returns:
  Object